---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    labels:
      provider: fabric8
      project: funktion-combined-operator
      version: 3.0.3
      group: io.fabric8.funktion.apps
    name: funktion-operator
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.io/target-platform: kubernetes
    labels:
      provider: fabric8
      project: funktion-combined-operator
      version: 3.0.3
      group: io.fabric8.funktion.apps
    name: exposecontroller
  data:
    config.yml: |
      domain:
      exposer:
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.io/iconUrl: https://funktion.fabric8.io/img/profile.png
      funktion.fabric8.io/chromeDevTools: "true"
    labels:
      funktion.fabric8.io/kind: Runtime
      provider: fabric8
      project: nodejs
      version: 3.0.3
      group: io.fabric8.funktion.runtimes
    name: nodejs
  data:
    fileExtensions: js
    debugPort: "5858"
    deployment: |
      metadata:
        annotations:
          fabric8.io/iconUrl: "https://funktion.fabric8.io/img/profile.png"
        labels:
          kind: function
          name: hello
      spec:
        replicas: 1
        template:
          metadata:
            labels:
              kind: function
              name: hello
          spec:
            terminationGracePeriodSeconds: 1
            containers:
            - image: funktion/funktion-nodejs-runtime:1.0.3
              name: connector
              imagePullPolicy: IfNotPresent
              resources:
                limits:
                  memory: '250Mi'
                  cpu: '250m'
              volumeMounts:
                - name: source
                  readOnly: true
                  mountPath: /usr/src/app/funktion
              livenessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 30
              readinessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 2
            volumes:
            - name: source
              configMap:
                name: hello
                items:
                - key: source
                  path: source.js
    deploymentDebug: |
      metadata:
        annotations:
          fabric8.io/iconUrl: "https://funktion.fabric8.io/img/profile.png"
        labels:
          kind: function
          name: hello
      spec:
        replicas: 1
        template:
          metadata:
            labels:
              kind: function
              name: hello
          spec:
            terminationGracePeriodSeconds: 1
            containers:
            - image: funktion/funktion-nodejs-runtime:1.0.3
              command:
              - node
              - '--inspect'
              - '--debug=5858'
              - server.js
              - '--codepath=./funktion/source.js'
              name: connector
              imagePullPolicy: IfNotPresent
              resources:
                limits:
                  memory: '250Mi'
                  cpu: '250m'
              volumeMounts:
                - name: source
                  readOnly: true
                  mountPath: /usr/src/app/funktion
              livenessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 30
              readinessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 2
            volumes:
            - name: source
              configMap:
                name: hello
                items:
                - key: source
                  path: source.js
    service: |
      metadata:
        annotations:
          fabric8.io/iconUrl: "https://funktion.fabric8.io/img/profile.png"
      spec:
        ports:
        - port: 80
          targetPort: 8888
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    annotations:
      configmap.fabric8.io/update-on-change: exposecontroller
      fabric8.io/git-commit: 1d35261c1975347e5beed068516260833d8cdef0
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=funktion-combined-operator&var-version=3.0.3
      fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-combined-operator
      fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/funktion-combined-operator
      fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/funktion-combined-operator/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v3.0.3
      fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-combined-operator
      fabric8.io/scm-tag: app-console-2.0.1
    labels:
      provider: fabric8
      project: funktion-combined-operator
      version: 3.0.3
      group: io.fabric8.funktion.apps
    name: funktion-combined-operator
  spec:
    replicas: 1
    selector:
      matchLabels:
        project: funktion-combined-operator
        provider: fabric8
        group: io.fabric8.funktion.apps
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 1d35261c1975347e5beed068516260833d8cdef0
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=funktion-combined-operator&var-version=3.0.3
          fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-combined-operator
          fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/funktion-combined-operator
          fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/funktion-combined-operator/src/main/fabric8/icon.png
          configmap.fabric8.io/update-on-change: exposecontroller
          fabric8.io/git-branch: release-v3.0.3
          fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-combined-operator
          fabric8.io/scm-tag: app-console-2.0.1
          maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/io_funktion-platform_master-IH6TFQOAXLZPAXMUBVUIQ2UNDNS37TWDOTYM6FNWPRC3TJGXBY6A/apps/funktion-combined-operator/target/funktion-combined-operator-3.0.3.jar!/META-INF/fabric8/kubernetes.yml
        labels:
          provider: fabric8
          project: funktion-combined-operator
          version: 3.0.3
          group: io.fabric8.funktion.apps
      spec:
        containers:
        - command:
          - /bin/operator
          - operate
          env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: funktion/funktion:1.0.13
          imagePullPolicy: IfNotPresent
          name: funktion
          resources:
            limits:
              memory: 250Mi
              cpu: 250m
        - command:
          - /configmapcontroller
          - --healthz-port
          - "10354"
          env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/configmapcontroller:2.3.7
          name: configmapcontroller
          resources:
            limits:
              memory: 250Mi
              cpu: 250m
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/exposecontroller:2.3.13
          name: exposecontroller
          resources:
            limits:
              memory: 250Mi
              cpu: 250m
          volumeMounts:
          - mountPath: /etc/exposecontroller
            name: config-volume
        serviceAccountName: funktion-operator
        volumes:
        - configMap:
            name: exposecontroller
          name: config-volume
